Bug 233155 - KOrganizer/Kontact uses out-of-date timezone information
KOrganizer/Kontact uses out-of-date timezone information
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2007-03-20 14:06 EDT by Rich Ibbotson
Modified: 2008-05-06 15:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 15:23:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rich Ibbotson 2007-03-20 14:06:57 EDT
Description of problem:
Meeting invitations sent using KOrganizer to Outlook users (or received from
Outlook users) do not reflect the recent change in daylight savings time.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. In Kontact, configure the current time zone to be America/New_York.
2. Have someone using a different calendar program send you a meeting invitation.
3. Accept said invitation using Kontact.
4. Note that the meeting time is one hour later than it is supposed to be.
Actual results:
Meeting invite is imported as if the current time zone is EST.

Expected results:
Meeting invite should be imported using EDT.

Additional info:
I believe this is due to incorrect timezone information in the ics files
installed by kdepim.  There is a very long description of the related libical
problem here: http://bugzilla.gnome.org/show_bug.cgi?id=301363 (see, for
example, comment #53)

Note that the file /usr/share/apps/libical/zoneinfo/America/New_York.ics
contains RRULE entries that show daylight savings time as beginning the first
Sunday of April, rather than the second Sunday in March (if I understand the
syntax of this file, that is):

Comment 1 Bug Zapper 2008-04-04 02:36:18 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 15:23:18 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.